Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 970942 - Wrong <dependency> order in with-tools BOM
Summary: Wrong <dependency> order in with-tools BOM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: Arquillian
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER1
: 2.3.0
Assignee: Marek Novotny
QA Contact: thradec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 09:47 UTC by Karel Piwko
Modified: 2016-08-01 01:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
WFK 2.2.0.ER1
Last Closed: 2013-07-16 11:28:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Karel Piwko 2013-06-05 09:47:05 UTC
Now, with -with-tools using <scope>import</scope> to fetch other BOMs instead of pasting their content inside, order of these definitions becomes crucial.

Current order is wrong, as Arquillian BOM contains both ShrinkWrap and ShrinkWrap Resolvers, thus dependencies specified later on are omitted.

Instead, you need to specify them in current order:

1. Java EE6
2. SW
3. SWR
4. Arquillian Core

Comment 3 thradec 2013-06-14 10:23:12 UTC
Verified on 2.3.0.ER1


Note You need to log in before you can comment on or make changes to this bug.